Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.dtd.om
Class TopLevel

    java.lang.Object
      convert.xml.dtd.om.TopLevel

Direct Known Subclasses:
  AttlistDecl, Comment, Def, ElementDecl, ExternalEntityDecl, ExternalIdRef, IgnoredSection, IncludedSection, InternalEntityDecl, NotationDecl, OverriddenDef, ProcessingInstruction

    public abstract class TopLevel

extends java.lang.Object

Field Summary
`static int` | `ATTLIST_DECL`
`static int` | `ATTRIBUTE_DEFAULT_DEF`
`static int` | `ATTRIBUTE_GROUP_DEF`
`static int` | `COMMENT`
`static int` | `DATATYPE_DEF`
`static int` | `ELEMENT_DECL`
`static int` | `ENUM_GROUP_DEF`
`static int` | `EXTERNAL_ENTITY_DECL`
`static int` | `EXTERNAL_ID_DEF`
`static int` | `EXTERNAL_ID_REF`
`static int` | `FLAG_DEF`
`static int` | `IGNORED_SECTION`
`static int` | `INCLUDED_SECTION`
`static int` | `INTERNAL_ENTITY_DECL`
`static int` | `MODEL_GROUP_DEF`
`static int` | `NAME_SPEC_DEF`
`static int` | `NOTATION_DECL`
`static int` | `OVERRIDDEN_DEF`
`static int` | `PARAM_DEF`
`static int` | `PROCESSING_INSTRUCTION`

Constructor Summary
`TopLevel()`

Method Summary
`abstract void` | `accept(TopLevelVisitor visitor)`
`abstract int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_DECL

    public static final int ELEMENT_DECL

See Also:
  Constant Field Values

### ATTLIST_DECL

    public static final int ATTLIST_DECL

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    public static final int PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### NOTATION_DECL

    public static final int NOTATION_DECL

See Also:
  Constant Field Values

### MODEL_GROUP_DEF

    public static final int MODEL_GROUP_DEF

See Also:
  Constant Field Values

### ATTRIBUTE_GROUP_DEF

    public static final int ATTRIBUTE_GROUP_DEF

See Also:
  Constant Field Values

### DATATYPE_DEF

    public static final int DATATYPE_DEF

See Also:
  Constant Field Values

### ENUM_GROUP_DEF

    public static final int ENUM_GROUP_DEF

See Also:
  Constant Field Values

### FLAG_DEF

    public static final int FLAG_DEF

See Also:
  Constant Field Values

### INCLUDED_SECTION

    public static final int INCLUDED_SECTION

See Also:
  Constant Field Values

### IGNORED_SECTION

    public static final int IGNORED_SECTION

See Also:
  Constant Field Values

### INTERNAL_ENTITY_DECL

    public static final int INTERNAL_ENTITY_DECL

See Also:
  Constant Field Values

### EXTERNAL_ENTITY_DECL

    public static final int EXTERNAL_ENTITY_DECL

See Also:
  Constant Field Values

### NAME_SPEC_DEF

    public static final int NAME_SPEC_DEF

See Also:
  Constant Field Values

### OVERRIDDEN_DEF

    public static final int OVERRIDDEN_DEF

See Also:
  Constant Field Values

### EXTERNAL_ID_DEF

    public static final int EXTERNAL_ID_DEF

See Also:
  Constant Field Values

### EXTERNAL_ID_REF

    public static final int EXTERNAL_ID_REF

See Also:
  Constant Field Values

### PARAM_DEF

    public static final int PARAM_DEF

See Also:
  Constant Field Values

### ATTRIBUTE_DEFAULT_DEF

    public static final int ATTRIBUTE_DEFAULT_DEF

See Also:
  Constant Field Values

Constructor Detail

### TopLevel

    public TopLevel()

Method Detail

### getType

    public abstract int getType()

### accept

    public abstract void accept(TopLevelVisitor visitor)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD